// Copyright (C) 2013 THM University of Applied Sciences, Giessen, Germany
//                    Matthieu Holzer and Andreas Dominik
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License 
// Version 2 as published by the Free Software Foundation.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
// 
// To view a copy of this license, visit http://www.gnu.org/licenses/gpl-2.0-standalone.html.


var KNN = KNN || {};

KNN.Model = {
    "mode": "custom",

    "trainingData": {
        "file": null,
        "data": null,
        "classIndex": 0
    },
    "testData": {
        "file": null,
        "data": null,
        "classIndex": -1
    },
    "classes": {
        "amount": 0,
        "names": [],
        "colors": [],
        "getColorByClassName": function (name) {
            return KNN.Model.classes.colors[KNN.Model.classes.names.indexOf(name.toString())];
        },
        "getIndexByClassName": function (name) {
            return KNN.Model.classes.names.indexOf(name.toString());
        }
    },
    "gui": {
        "dataHasXYPairs": false,
        "activeDataSet": null,
        "previousDataSet": null,
        "previousSigma": null,
    },
    "stats": {
        "errorAmount": 0,
        "correctAmount": 0,
        "startTime": null
    }
};
